boost::geometry::resolve_variant::buffer< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Distance, GeometryOut > Struct Template Reference

List of all members.

## Public Member Functions

template<typename Geometry >
void | operator() (Geometry const &geometry) const
| visitor (Distance const &distance, Distance const &chord_length, GeometryOut &out)

## Public Attributes

Distance const & | m_chord_length
Distance const & | m_distance
GeometryOut & | m_out

### template<BOOST_VARIANT_ENUM_PARAMS(typename T)>
template<typename Distance, typename GeometryOut>
struct boost::geometry::resolve_variant::buffer< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Distance, GeometryOut >

## Constructor & Destructor Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Distance , typename GeometryOut >

boost::geometry::resolve_variant::buffer< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Distance, GeometryOut >::visitor | ( | Distance const & | distance,
|  | Distance const & | chord_length,
|  | GeometryOut & | out
| ) |  |

## Member Function Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Distance , typename GeometryOut >
template<typename Geometry >

void boost::geometry::resolve_variant::buffer< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Distance, GeometryOut >::operator() | ( | Geometry const & | geometry | ) | const

## Member Data Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Distance , typename GeometryOut >

Distance const& boost::geometry::resolve_variant::buffer< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Distance, GeometryOut >::m_distance

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Distance , typename GeometryOut >

Distance const& boost::geometry::resolve_variant::buffer< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Distance, GeometryOut >::m_chord_length

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Distance , typename GeometryOut >

GeometryOut& boost::geometry::resolve_variant::buffer< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Distance, GeometryOut >::m_out

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK